Description

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.9-p490 (2016-03-30) [x64-mingw32]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.13.3

  Filesystem                     

Redmine plugins:

  no plugin installed

 Description of the problem:

I want to copy an existing issue. Its field assigned_to is empty.

In the issue form, I verify that the field is still empty, then click create.

Then the new issue has a user in the field assigned_to

First invesitgation:

I use a ruby debuger to run Redmine, and set a breakpoint in the function create in issues_controller.rb.
Before calling @issue.save => @issue.assigned_to is empty

After calling @issue.save => @issue.assigned_to contains a user.

History

#1 - 2017-09-27 18:52 - Toshi MARUYAMA

- Description updated

#2 - 2017-09-27 18:59 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think it is expected behaviour if issue category has assignee.

#3 - 2017-09-28 10:40 - Stéphane Briand SeaSideTech

Toshi MARUYAMA wrote:

I think it is expected behaviour if issue category has assignee.

 Thank you for your answer Toshi.

I confirm that the copied issue had its category property filled. And that category is assigned to someone.

So ok, now I understand why the assigned to property get automatically filled.

But, in my opinion, it is neither straightforward behaviour, nor what users expect.

The users explicitly clear the property assigned to when copying an issue, because they don't want that issue to be assigned yet.
And by magic, the property get filled automatically.

For me, the user's decision to let that property blank should be respected, and not overwritten.

Is it possible to change the behaviour of the Redmine Core this way? Or at least, add an option?

Many thanks

Stéphane

#4 - 2017-09-28 14:31 - Mischa The Evil

Stéphane Briand SeaSideTech wrote:

[...] Or at least, add an option?

 You could change the behaviour by removing the assignee from the issue category altogether, although it is likely not exactly what you want.

#5 - 2017-09-28 14:50 - Stéphane Briand SeaSideTech

Mischa The Evil wrote:

Stéphane Briand SeaSideTech wrote:

[...] Or at least, add an option?

 You could change the behaviour by removing the assignee from the issue category altogether, although it is likely not exactly what you want.

 Ok, this is a solution.

For me, this tracker can be close.

Thank you.

Stéphane

#6 - 2017-09-28 16:17 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.

Files

issues_controller.png 27.4 KB 2017-08-30 Stéphane Briand SeaSideTech

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

